# $Revision: 1.50 $, $Date: 2004/04/26 15:22:18 $
Summary:	Color Font rendering library for X11R6
Summary(es):	Biblioteca de render de fuentes coloridas para el X11R6
Summary(pl):	Biblioteki do renderowania fontw pod X11R6
Summary(pt_BR):	Biblioteca para renderizao colorida de fontes para o X11R6
Name:		fnlib
Version:	0.5
Release:	11
License:	LGPL
Group:		X11/Libraries
Source0:	http://dl.sourceforge.net/enlightenment/%{name}-%{version}.tar.gz
# Source0-md5:	42093ed5b684da01e7a674b2adac52c7
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	imlib-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/X11

%description
Fnlib is a library that provides full scalable 24-bit Color font
rendering abilities for X.

%description -l es
Biblioteca de render de fuentes coloridas para el X11R6.

%description -l pl
Fnlib jest bibliotek, ktra umoliwia renderowanie fontw
skalowalnych pod X11.

%description -l pt_BR
A fnlib  uma biblioteca que fornece renderizao completa e escalvel
de 24 bits de cores para fontes no X.

%package devel
Summary:	Fnlib headers and documentation
Summary(es):	Archivos de inclusin, bibliotecas estticas y documentacin para fnlib
Summary(pl):	Pliki nagwkowe oraz dokumentacja
Summary(pt_BR):	Arquivos de incluso, bibliotecas e documentao para a fnlib
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}

%description devel
Headers and documentation for Fnlib.

%description devel -l es
Archivos de inclusin, bibliotecas estticas y documentacin para
fnlib.

%description devel -l pl
Pliki nagwkowe oraz dokumentacja dla Fnliba.

%description devel -l pt_BR
Arquivos de incluso, bibliotecas e documentao para a fnlib.

%package static
Summary:	Fnlib static libraries
Summary(pl):	Biblioteki statyczne fnlib
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com fnlib
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Fnlib static libraries.

%description static -l pl
Biblioteki statyczne fnlib.

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento com fnlib

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make} fontsdir=%{_datadir}/fnlib_fonts

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%config %{_sysconfdir}/*
%{_datadir}/fnlib_fonts

%files devel
%defattr(644,root,root,755)
%doc doc/index.html doc/fontinfo.README

%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fnlib.spec,v $
Revision 1.50  2004/04/26 15:22:18  adamg
- release 11 for Ac (10 is for Ra)

Revision 1.49  2003/07/08 18:26:38  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.48  2003/05/26 16:24:58  malekith
- massive attack: adding Source-md5

Revision 1.47  2003/05/25 05:47:28  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/02/25 12:13:30  qboosh
- working Source URL

Revision 1.45  2003/01/19 21:25:51  radek
- updated Source0 URL

Revision 1.44  2003/01/18 22:46:46  juandon
- removed two lines with define

Revision 1.43  2002/11/27 19:36:46  juandon
- new %%doc

Revision 1.42  2002/10/09 13:14:22  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.41  2002/06/23 20:32:23  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.40  2002/05/21 23:13:02  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.39  2002/04/25 16:18:43  arturs
fixed a small typo

Revision 1.38  2002/03/24 23:28:16  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.37  2002/02/23 02:06:14  kloczek
- adapterized.

Revision 1.36  2002/02/22 23:28:54  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.35  2002/01/28 07:35:01  kloczek
- release 10: merge translations from Conectiva.

Revision 1.34  2002/01/18 02:12:57  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.33  2001/10/07 14:50:50  blues
- release 6
- make libtool happy

Revision 1.32  2001/10/03 15:04:05  qboosh
- adapterized, BuildRequires: autoconf, automake

Revision 1.31  2001/08/25 11:54:18  filon
- added regenerating configuration files
- spec ac-2.5 reeady

Revision 1.30  2001/02/02 04:14:04  kloczek
- updated to 0.5.

Revision 1.29  2000/11/12 20:11:54  kloczek
- modyfications for using neew rpm automation.

Revision 1.28  2000/06/09 07:22:50  kloczek
- added using %%{__make} macro.

Revision 1.27  2000/05/18 21:48:35  kloczek
- spec adapterized.

Revision 1.26  2000/04/01 11:14:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.25  2000/03/28 16:54:17  baggins
- translated kloczkish into english

Revision 1.24  1999/12/01 05:44:21  kloczek
- typo in %files.

Revision 1.23  1999/12/01 05:35:13  kloczek
- release 11,
- more rpm macros.

Revision 1.22  1999/11/29 12:47:37  alchemyx
- typos

Revision 1.21  1999/07/20 12:48:06  wiget
- switch to rpm 3.0.2

Revision 1.20  1999/07/12 23:05:56  kloczek
- added using CVS keywords in %changelog (for automating them).

* Mon Apr 19 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.4-9]
- recompiles on new rpm.

* Sun Mar 21 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [0.4-2]
- strip with --strip-unneeded shared libraries.
